*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  height: 100%;
}
body {
  display: flex;
  height: 100%;
  padding: 30px;
  background-color: white;
}

#app {
  width: 100%;
  position: relative;
  perspective: 600px;
  display: flex;
  justify-content: center;
  align-items: center;
}

img{
  display: block;
  max-width: 100%;
  max-height: 80vh;
}
.card {
  position: relative;
  overflow: hidden;
  -webkit-animation: floatY 4s ease-in-out infinite;
          animation: floatY 4s ease-in-out infinite;
  box-shadow: 0 60px 50px -30px rgba(0, 0, 0, 0.5);
  background-image: linear-gradient(
    115deg,
    transparent 0%,
    rgb(0, 231, 255) 30%,
    rgb(255, 0, 231) 70%,
    transparent 100%
  );
  display: flex;
  justify-content: center;
  align-items: center;
  flex-flow: row nowrap;
  width: max-content;
}

 .card::before{
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
 background-image: linear-gradient(
    115deg,
    transparent 0%,
    rgb(0, 231, 255) 30%,
    rgb(255, 0, 231) 70%,
    transparent 100%
  );
  background-position: 0% 0%;
  background-repeat: no-repeat;
  background-size: 300% 300%;
  mix-blend-mode: color-dodge;


  opacity: 1;
  z-index: 1;
  background-position: center;
  opacity: 0.1;
  transition: opacity 0.4s ease; 
}

.card.active::before {
  opacity: 0.6;
  mix-blend-mode: color-dodge;
  background-image: linear-gradient(
    115deg,
    transparent 0%,
    rgb(0, 231, 255) 30%,
    rgb(255, 0, 231) 70%,
    transparent 100%
  );
}

/* @-webkit-keyframes holoCard {
  0%, 100% {
    transform: none;
  }
  25% {
    transform: rotateZ(-3deg) rotateX(-7deg) rotateY(6deg);
  }
  66% {
    transform: rotateZ(3deg) rotateX(7deg) rotateY(-6deg);
  }
}
@keyframes holoCard {
  0%, 100% {
    transform: none;
  }
  25% {
    transform: rotateZ(-3deg) rotateX(-7deg) rotateY(6deg);
  }
  66% {
    transform: rotateZ(3deg) rotateX(7deg) rotateY(-6deg);
  }
} */

@keyframes floatY {
  0%, 100% {
    transform: none;
  }
  50% {
    transform: translateY(3%);
  }
}
